<template lang="pug">
  li.showerItem(
    :style="{ transitionDelay: `${item.seed}s` }"
    :data-visible="isVisible && !fadeOut"
  )
    img(
      :data-index="index"
      :src="item.path"
    )
</template>

<script>
import Vue from 'vue'
import { functions } from 'firebase';

export default {
  props: {
    // 定数として持っておく
    item: {
      type: Object,
    },
    index: {
      type: Number,
    },
    fadeOut: false,
  },
  data: () => {
    return {
      isVisible: false
    }
  },
  mounted: function() {
  },
  created: function() {
    const _this = this
    setTimeout(function(){
      _this.isVisible = true
    }, 10)
  },
}
</script>

<style lang="stylus" scoped>
.showerItem
  box-sizing: border-box
  transition opacity 1000ms
  opacity 0
  &[data-visible]
    opacity 1
  img
    height: auto
    width: 100%
</style>
